classification
Title: Remove 'file' type reference from 'iterable' glossary entry
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: chris.jerdonek, docs@python, ezio.melotti, orsenthil, python-dev, r.david.murray, zach.ware
Priority: normal Keywords: patch

Created on 2012-12-22 00:06 by zach.ware, last changed 2013-01-04 12:46 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue16747.diff zach.ware, 2013-01-02 04:20 review
Messages (12)
msg177911 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2012-12-22 00:06
Here's a patch that changes the reference to :class:`file` in the iterable entry in Doc/glossary.rst to :term:`file objects <file object>`, along with minor grammatical fixes to make it fit, and reflowing of the text.
msg177956 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-12-22 21:05
If you are changing just a few minor things, can you resubmit the patch without reflowing?  It will be easier to see what minor things have changed.  (It is okay to have the occasional short line to avoid having long lines.  Reflowing can be done as part of a separate commit if it is severe.)
msg178746 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-01-01 19:40
Hello Zachary, What'wrong with referencing :class:`file` for iterable? I find it as OK. Also if it needs to be corrected, the reference could be made for :ref:`bltin-file-objects`

Re grammatical fixes, you could point out which were made as with the reflow of the text, it is difficult to spot the fix.
msg178747 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-01-01 19:48
senthil: the file type doesn't exist any more in python3.
msg178754 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-01-01 20:55
Oh Okay, Thanks! I was checking it against 2.7!

On Tue, Jan 1, 2013 at 11:48 AM, R. David Murray <report@bugs.python.org>wrote:

>
> R. David Murray added the comment:
>
> senthil: the file type doesn't exist any more in python3.
>
> ----------
> nosy: +r.david.murray
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue16747>
> _______________________________________
>
msg178777 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-01-01 23:00
Hi folks,

Sorry it's taken me so long to get back to this, it's been a busy month :)

Here's the non-reflowed diff.  In retrospect, I should have just specifically mentioned the grammatical changes I made in the first place; they were merely to change 'and' between 'dict' and 'file object' to a comma, and add a comma after 'file object'.
msg178782 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-01 23:07
Yes, that would have been better.
I actually prefer reflowing text, but pointing out the changes makes reviewing the patch easier.
msg178786 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-01 23:29
Changed lines should still be reflowed to respect the column limit.  I was just referring to the unchanged lines before and afterwards that shouldn't be reflowed.

Not reflowing makes it easier for people viewing diffs on python-checkins and hg.python.org, using hg annotate, etc. to see what has changed.
msg178796 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-01-02 04:26
I reviewed the patch. Changes LGTM.
msg178848 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-01-02 20:30
New changeset 2afc0997e440 by Ezio Melotti in branch '3.2':
#16747: fix link to file objects in the glossary.
http://hg.python.org/cpython/rev/2afc0997e440

New changeset 6e4fc5e2acf8 by Ezio Melotti in branch '3.3':
#16747: merge with 3.2.
http://hg.python.org/cpython/rev/6e4fc5e2acf8

New changeset e19ed347523e by Ezio Melotti in branch 'default':
#16747: merge with 3.3.
http://hg.python.org/cpython/rev/e19ed347523e
msg178849 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-02 20:31
Fixed, thanks for the report and the patch!
msg179017 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-01-04 12:46
New changeset dea89ee34402 by Chris Jerdonek in branch '2.7':
Issue #16747: Reflow iterable glossary entry to match 3.x change e19ed347523e.
http://hg.python.org/cpython/rev/dea89ee34402
History
Date User Action Args
2013-01-04 12:46:35python-devsetmessages: + msg179017
2013-01-02 20:31:01ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg178849

stage: commit review -> resolved
2013-01-02 20:30:10python-devsetnosy: + python-dev
messages: + msg178848
2013-01-02 04:26:35orsenthilsetmessages: + msg178796
2013-01-02 04:21:04zach.waresetfiles: - iterable_glossary.diff
2013-01-02 04:20:56zach.waresetfiles: - iterable_glossary_no-reflow.diff
2013-01-02 04:20:45zach.waresetfiles: + issue16747.diff
2013-01-01 23:29:31chris.jerdoneksetmessages: + msg178786
2013-01-01 23:07:11ezio.melottisetassignee: docs@python -> ezio.melotti
type: enhancement
messages: + msg178782
stage: commit review
2013-01-01 23:00:36zach.waresetfiles: + iterable_glossary_no-reflow.diff

messages: + msg178777
2013-01-01 20:55:24orsenthilsetmessages: + msg178754
2013-01-01 19:48:58r.david.murraysetnosy: + r.david.murray
messages: + msg178747
2013-01-01 19:40:52orsenthilsetnosy: + orsenthil
messages: + msg178746
2012-12-31 00:58:59ezio.melottisetnosy: + ezio.melotti
2012-12-22 21:05:18chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg177956
2012-12-22 00:06:53zach.warecreate